Subject: Re: bug#25621: 25.1; IPA chars problematic in orgmode table

From: bruce robertson <[email-masked]>
Date: Sun, 5 Feb 2017 23:57:07 +0000

If you take the first "table" of char sequences and IPA glyphs in
the *Help* buffer from C-h I i p a RET and run it through a pipeline,
"perl  -p -e 's/ +/_/g;s/\|/\\vert{}/g;s/_/  \| /g;s/^/\| /;s/$/ \ |/'" ,
you'll
have the right data.

Then if you put that into an org-mode buffer and cause the "special
symbols" like \vert to be displayed, type C-c C-x \.

Now if you position to the 1st cell in the table and start typing TAB as
the cursor moves through the table, I believe you will see strange results.

I'm including a file with the output of the pipeline

Thanks,
Bruce

On Sun, Feb 5, 2017 at 3:38 PM, Eli Zaretskii <[email-masked]> wrote:

> > From: bruce robertson <[email-masked]>
> > Date: Sat, 4 Feb 2017 23:33:54 +0000
> >
> > 1. get empty buffer
> > 2. put in org-mode
> > 3. enter IPA multilingual text input
> > C-x RET C-\ ipa RET
> > 4. describe input method
> > C-h I
> > 4.5 exit "IPA mode" w/ C-\
> > 5. take resulting *Help* buffer and put in empty buffer from step 1
> > 6. format "KEY SEQUENCE TABLE" as an org-mode table replacing vertical
> > bars in data with "\vert{}".
> > 7. type TAB somewhere in table.
> > 8. The columns do not align.
>
> Can you tell in more detail how did you do step 6?  I tried a simple
> replacement with M-%, but didn't see the result you reported, so I
> assume that's not what should be done.
>
> Thanks.
>